Subject: Re: [PATCH] wifi: rt2x00: use explicitly signed type for clamping

From: Andy Shevchenko <[email-masked]>
Date: Tue, 18 Oct 2022 23:40:54 +0300

On Tue, Oct 18, 2022 at 02:27:34PM -0600, Jason A. Donenfeld wrote:
> On some platforms, `char` is unsigned, which makes casting -7 to char
> overflow, which in turn makes the clamping operation bogus. Instead,
> deal with an explicit `s8` type, so that the comparison is always
> signed, and return an s8 result from the function as well. Note that
> this function's result is assigned to a `short`, which is always signed.

Why not to use short? See my patch I just sent.

-- 
With Best Regards,
Andy Shevchenko